#
# spec file for package libfcache
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libfcache
%define lname	libfcache1
%define timestamp 20150104
Version:        0~%{timestamp}
Release:        3.2
Summary:        Library to provide generic file data cache functions
License:        LGPL-3.0+
Group:          Productivity/File utilities
Url:            https://github.com/libyal/libfcache/wiki
Source:         https://github.com/libyal/libfcache/releases/download/%timestamp/%{name}-alpha-%{timestamp}.tar.gz
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  pkgconfig(libcerror) >= 20140105
BuildRequires:  pkgconfig(libcdata) >= 20140105
BuildRequires:  pkgconfig(libcthreads) >= 20130723
BuildRequires:  pkgconfig(libcstring) >= 20120425
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library to provide generic file data cache functions for the libyal family of libraries.

%package -n %{lname}
Summary:        Library to provide generic file data cache functions
License:        LGPL-3.0+
Group:          System/Libraries

%description -n %{lname}
Library to provide generic file data cache functions for the libyal family of libraries.

%package devel
Summary:        Development files for libfcache
License:        LGPL-3.0+ 
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
Library to provide generic file data cache functions for the libyal family of libraries.

This subpackage contains libraries and header files for developing
applications that want to make use of libfcache.

%prep
%setup -q -n libfcache-%{timestamp}

%build
%configure --disable-static --enable-wide-character-type --enable-python
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post   -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libfcache.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%{_includedir}/libfcache.h
%{_includedir}/libfcache/
%{_libdir}/libfcache.so
%{_libdir}/pkgconfig/libfcache.pc
%{_mandir}/man3/libfcache.3*

%changelog
* Thu Jan  8 2015 Greg.Freemyer@gmail.com
- update to v0~20150104
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- remove %%if for opensuse version.  Not needed now that libyal is consolidated in security:forensics
- start using libcstring from OBS, not internal version
* Fri Aug 29 2014 Greg.Freemyer@gmail.com
- initial package in OBS (v0~20140601)
